Create a new student

Creates a new student in the system

Body·
required
application/json

Student object to be created

  • student
    Type: object
    required
Responses
  • application/json
  • application/json
  • application/json
Request Example for put/rostering/1.0/students
curl https://platform.dev.timeback.com/rostering/1.0/students \
  --request PUT \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "student": {
    "sourcedId": "",
    "status": "active",
    "metadata": null,
    "userMasterIdentifier": null,
    "username": null,
    "enabledUser": "true",
    "givenName": "",
    "familyName": "",
    "middleName": null,
    "preferredFirstName": null,
    "preferredMiddleName": null,
    "preferredLastName": null,
    "pronouns": null,
    "demographics": {
      "birthDate": null
    },
    "primaryOrg": {
      "href": "",
      "sourcedId": "",
      "type": "org"
    },
    "identifier": null,
    "email": "",
    "sms": null,
    "phone": null,
    "grades": [
      ""
    ],
    "password": null
  }
}'
{
  "student": {
    "sourcedId": "string",
    "status": "active",
    "dateLastModified": "2026-05-15T08:59:55.224Z",
    "metadata": null,
    "userMasterIdentifier": null,
    "username": null,
    "userIds": [
      "string"
    ],
    "enabledUser": "true",
    "givenName": "string",
    "familyName": "string",
    "middleName": null,
    "preferredFirstName": null,
    "preferredMiddleName": null,
    "preferredLastName": null,
    "roles": [
      {
        "roleType": "primary",
        "role": "aide",
        "org": {
          "href": "https://example.com",
          "sourcedId": "string",
          "type": "academicSession"
        },
        "userProfile": null,
        "beginDate": null,
        "endDate": null
      }
    ],
    "userProfiles": [
      {
        "profileId": "https://example.com",
        "profileType": "string",
        "vendorId": "string",
        "applicationId": null,
        "description": null,
        "credentials": [
          {
            "username": "string",
            "password": "string",
            "identity": "string"
          }
        ]
      }
    ],
    "primaryOrg": {
      "href": "https://example.com",
      "sourcedId": "string",
      "type": "academicSession"
    },
    "identifier": null,
    "email": "string",
    "sms": null,
    "phone": null,
    "agents": [
      {
        "href": "https://example.com",
        "sourcedId": "string",
        "type": "academicSession"
      }
    ],
    "grades": [
      "string"
    ],
    "password": null,
    "resources": [
      {
        "href": "https://example.com",
        "sourcedId": "string",
        "type": "academicSession"
      }
    ]
  }
}